<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/BancosModel.php';
require_once '../Class/controller/BancosControl.php';

$control = new BancosControl();
$model = new BancosModel();

$control->setAction();
$control->setId();

$action = $control->getAction();
$id = $control->getId();

//LoadDados
if ($id > 0)
{
	$model->load($id);
}

if($action == 'save')
{
	try
	{
		$control->GetData();
		header( 'Location: bancos.php' );
	}
	catch(Exception $err)
	{
		echo "<script>alert('Ocorreu um problema ao salvar o registro.');</script>";
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>
<script src="js/bancos.js" type="text/javascript"></script>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Cadastro de Bancos</div>

<form id="frmRegister" method="post" action=""><input type="hidden"
	id="hdnAction" name="action" value="save" /> <input type="hidden"
	id="hdnId" name="Id" value="<?php echo $model->getId();?>" />

<table border="0" cellpadding="3" cellspacing="0" class="tblGeral"
	width="100%">
	<tr>
		<td><span class="title">Nome da Conta:</span></td>
		<td><input type="text" id="nomedaconta" name="nomedaconta" class="content-data"
			style="width: 300px;" value="<?php echo $model->getNomConta();?>" /> *</td>
	</tr>
	<tr>
		<td><span class="title">Número Conta Reduzida:</span></td>
		<td><input type="text" id="contareduzida" name="contareduzida" class="content-data"
			style="width: 300px;" value="<?php echo $model->getContaReduzida();?>" onkeyup="formataInteiro(this,event);" /> *</td>
	</tr>
	<tr>
		<td><span class="title">Número do Banco:</span></td>
		<td><input type="text" id="numerodobanco" name="numerodobanco" class="content-data"
			style="width: 30px;" maxlength="3" onkeyup="formataInteiro(this,event);"
			value="<?php echo $model->getNumBanco();?>" /> *</td>
	</tr>
	<tr>
		<td><span class="title">Agência:</span></td>
		<td><input type="text" id="agencia" name="agencia" class="content-data"
			style="width: 100px;" maxlength="4"
			value="<?php echo $model->getAgencia();?>" /> *</td>
	</tr>
	<tr>
		<td><span class="title">Conta Corrente:</span></td>
		<td><input type="text" id="contacorrente" name="contacorrente" class="content-data"
			style="width: 150px;" maxlength="8"
			value="<?php echo $model->getContaCorrente();?>" /> *</td>
	</tr>
</table>

<div id="pBotoes" style="text-align: right">
	<span>&nbsp;</span> 
	<br />
		<input type="submit" name="btnSalvar" id="btnSalvar" class="submit" value="Salvar" /> 
		<input type="button" name="btnCancelar" class="submit" value="Cancelar" onclick="window. location.href='bancos.php'"  />
</div>

</form>

</div>

</div>

</div>

<?php include_once('controls/footer.php'); ?>

</body>
</html>
